# ComponentTitledFolderButtonBar (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.common

## Class ComponentTitledFolderButtonBar

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.common.ComponentTitledFolderButtonBar

- All Implemented Interfaces:
    IComponent

      public class ComponentTitledFolderButtonBar
      extends java.lang.Object
      implements IComponent

  A basic title bar, which offers some buttons.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComponentTitledFolderButtonBar(java.lang.String id)` Creates a new instance.
    `ComponentTitledFolderButtonBar(java.lang.String id, java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String> helpids)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.String title, org.eclipse.swt.graphics.Image image, boolean toggle, java.lang.Runnable runnable)` Adds a button.
    `void` | `add(java.lang.String title, org.eclipse.swt.graphics.Image image, java.lang.Runnable runnable)` Adds a new button.
    `java.lang.String` | `getHelpId()` Returns the id.
    `java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String>` | `getHelpIds()` Returns the help ids for each composite
    `org.eclipse.swt.graphics.Image` | `getImage(java.lang.String title)` Returns the image for the given button.
    `java.lang.Runnable` | `getRunnable(java.lang.String title)` Returns the runnable for the given button.
    `java.util.List<java.lang.String>` | `getTitles()` Returns the titles of all buttons.
    `java.lang.Boolean` | `isToggle(java.lang.String title)` Returns whether the given button is a toggle button.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentTitledFolderButtonBar

          public ComponentTitledFolderButtonBar(java.lang.String id)

      Creates a new instance.
      Parameters:
        `id` -

    - #### ComponentTitledFolderButtonBar

          public ComponentTitledFolderButtonBar(java.lang.String id,
                                        java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String> helpids)

      Creates a new instance.
      Parameters:
        `id` -
        `helpids` -

  - ### Method Detail

    - #### add

          public void add(java.lang.String title,
                 org.eclipse.swt.graphics.Image image,
                 boolean toggle,
                 java.lang.Runnable runnable)

      Adds a button.
      Parameters:
        `title` -
        `image` -
        `toggle` -
        `runnable` -

    - #### add

          public void add(java.lang.String title,
                 org.eclipse.swt.graphics.Image image,
                 java.lang.Runnable runnable)

      Adds a new button.
      Parameters:
        `title` -
        `image` -
        `runnable` -

    - #### getHelpId

          public java.lang.String getHelpId()

      Returns the id.
      Returns:

    - #### getHelpIds

          public java.util.Map<org.eclipse.swt.widgets.Composite,java.lang.String> getHelpIds()

      Returns the help ids for each composite
      Returns:

    - #### getImage

          public org.eclipse.swt.graphics.Image getImage(java.lang.String title)

      Returns the image for the given button.
      Parameters:
        `title` -
      Returns:

    - #### getRunnable

          public java.lang.Runnable getRunnable(java.lang.String title)

      Returns the runnable for the given button.
      Parameters:
        `title` -
      Returns:

    - #### getTitles

          public java.util.List<java.lang.String> getTitles()

      Returns the titles of all buttons.
      Returns:

    - #### isToggle

          public java.lang.Boolean isToggle(java.lang.String title)

      Returns whether the given button is a toggle button.
      Parameters:
        `title` -
      Returns: